libapreq2-2.08: libapreq2: include/apreq_error.h File Reference

Apache HTTP Server Request Library

- Main Page
- Modules
- Data Structures
- Files
- Related Pages
- Examples

- File List
- Globals

# include/apreq_error.h File Reference

Error status codes.

Define the APREQ_ error codes. More...

`#include "apr_errno.h"`
`#include "apreq.h"`

Go to the source code of this file.

## Defines
#define | APR_EBADARG APR_BADARG
#define | APREQ_ERROR_GENERAL APR_OS_START_USERERR
#define | APREQ_ERROR_TAINTED (APREQ_ERROR_GENERAL + 1)
#define | APREQ_ERROR_INTERRUPT (APREQ_ERROR_GENERAL + 2)
#define | APREQ_ERROR_BADDATA (APREQ_ERROR_GENERAL + 10)
#define | APREQ_ERROR_BADCHAR (APREQ_ERROR_BADDATA + 1)
#define | APREQ_ERROR_BADSEQ (APREQ_ERROR_BADDATA + 2)
#define | APREQ_ERROR_BADATTR (APREQ_ERROR_BADDATA + 3)
#define | APREQ_ERROR_BADHEADER (APREQ_ERROR_BADDATA + 4)
#define | APREQ_ERROR_BADUTF8 (APREQ_ERROR_BADDATA + 5)
#define | APREQ_ERROR_NODATA (APREQ_ERROR_GENERAL + 20)
#define | APREQ_ERROR_NOTOKEN (APREQ_ERROR_NODATA + 1)
#define | APREQ_ERROR_NOATTR (APREQ_ERROR_NODATA + 2)
#define | APREQ_ERROR_NOHEADER (APREQ_ERROR_NODATA + 3)
#define | APREQ_ERROR_NOPARSER (APREQ_ERROR_NODATA + 4)
#define | APREQ_ERROR_MISMATCH (APREQ_ERROR_GENERAL + 30)
#define | APREQ_ERROR_OVERLIMIT (APREQ_ERROR_MISMATCH + 1)
#define | APREQ_ERROR_UNDERLIMIT (APREQ_ERROR_MISMATCH + 2)
#define | APREQ_ERROR_NOTEMPTY (APREQ_ERROR_MISMATCH + 3)
## Functions
char * | apreq_strerror (apr_status_t s, char *buf, apr_size_t bufsize)

## Detailed Description

Error status codes.

Define the APREQ_ error codes.

## Define Documentation

#define APR_EBADARG APR_BADARG

| Bad Arguments return value See also: APR_BADARG

#define APREQ_ERROR_BADATTR (APREQ_ERROR_BADDATA + 3)

| Invalid attribute.

#define APREQ_ERROR_BADCHAR (APREQ_ERROR_BADDATA + 1)

| Invalid character.

#define APREQ_ERROR_BADDATA (APREQ_ERROR_GENERAL + 10)

| Invalid input data.

#define APREQ_ERROR_BADHEADER (APREQ_ERROR_BADDATA + 4)

| Invalid header.

#define APREQ_ERROR_BADSEQ (APREQ_ERROR_BADDATA + 2)

| Invalid byte sequence.

#define APREQ_ERROR_BADUTF8 (APREQ_ERROR_BADDATA + 5)

| Invalid utf8 encoding.

#define APREQ_ERROR_GENERAL APR_OS_START_USERERR

| Internal apreq error.

#define APREQ_ERROR_INTERRUPT (APREQ_ERROR_GENERAL + 2)

| Parsing interrupted.

#define APREQ_ERROR_MISMATCH (APREQ_ERROR_GENERAL + 30)

| Conflicting information.

#define APREQ_ERROR_NOATTR (APREQ_ERROR_NODATA + 2)

| Missing attribute.

#define APREQ_ERROR_NODATA (APREQ_ERROR_GENERAL + 20)

| Missing input data.

#define APREQ_ERROR_NOHEADER (APREQ_ERROR_NODATA + 3)

| Missing header.

#define APREQ_ERROR_NOPARSER (APREQ_ERROR_NODATA + 4)

| Missing parser.

#define APREQ_ERROR_NOTEMPTY (APREQ_ERROR_MISMATCH + 3)

| Setting already configured.

#define APREQ_ERROR_NOTOKEN (APREQ_ERROR_NODATA + 1)

| Missing required token.

#define APREQ_ERROR_OVERLIMIT (APREQ_ERROR_MISMATCH + 1)

| Exceeds configured maximum limit.

#define APREQ_ERROR_TAINTED (APREQ_ERROR_GENERAL + 1)

| Attempted to perform unsafe action with tainted data.

#define APREQ_ERROR_UNDERLIMIT (APREQ_ERROR_MISMATCH + 2)

| Below configured minimum limit.

## Function Documentation

char* apreq_strerror | ( | apr_status_t | s,
|  | char * | buf,
|  | apr_size_t | bufsize
| ) |

| apreq's wrapper around apr_strerror(); recognizes APREQ_ERROR_* status codes.